Status: Resolved Start date: 12/20/2011
Priority: Normal Due date:
Assignee: S. Wrede % Done: 50%
Category: cpp Estimated time: 0.00 hour
Target version:
Description

This is currently not implemented in the IplImageConverter.

Associated revisions
Revision 60aa8cae - 01/13/2012 11:02 PM - S. Wrede

added support for de-/serialization of BGRA images as grabbed by OpenCV on MacOS, refs #776.

Revision 1c6afe76 - 01/13/2012 11:02 PM - S. Wrede

added support for de-/serialization of BGRA images as grabbed by OpenCV on MacOS, refs #776.

History
#1 - 12/20/2011 12:01 PM - S. Wrede
- Assignee set to S. Wrede

#2 - 01/13/2012 11:01 PM - S. Wrede
- Status changed from New to Feedback
- Target version set to 0.6
- % Done changed from 0 to 50

Basic serialization / deserialization working now for BGR images. So far, tested on MacOS. Works with 15FPS, reasonable CPU and no memory
leakage.

Needs further testing and probably support 

    -  for more color models / image types
    -  for ROI information in IplImage
    -  a separate converter for CvMat
    -  ...

#3 - 01/31/2012 12:17 PM - S. Wrede
- Target version deleted (0.6)

#4 - 10/08/2012 06:54 PM - J. Wienke
- Status changed from Feedback to Resolved
The unit tests now check this behavior. So I declare this resolved.
